| Home | Libraries | People | FAQ | More

##### parse (2 of 6 overloads)

Return parsed JSON as a `value`.

###### Synopsis

Defined in header `<boost/json/parse.hpp>`

    value
    parse(
        string_view s,
        std::error_code& ec,
        storage_ptr sp = {},
        parse_options const& opt = {});

###### Description

This function parses an entire string in one step to produce a complete JSON object, returned as a `value`. If the buffer does not contain a complete serialized JSON, an error occurs. In this case the returned value will be null, using the default memory resource.

###### Complexity

Linear in `s.size()`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Return Value

A value representing the parsed JSON, or a null if any error occurred.

###### Parameters

Name | Description
--- | ---
`s` | The string to parse.
`ec` | Set to the error, if any occurred.
`sp` | The memory resource that the new value and all of its elements will use. If this parameter is omitted, the default memory resource is used.
`opt` | The options for the parser. If this parameter is omitted, the parser will accept only standard JSON.

###### See Also

`parse_options`, `stream_parser`.

Convenience header `<boost/json.hpp>`